"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../../../token");
var EnglishAnchorStartDetector = /** @class */ (function () {
    function EnglishAnchorStartDetector() {
    }
    EnglishAnchorStartDetector.prototype.extract = function (token) {
        return new token_1.Token(token, token_1.TokenTypes.ANCHOR_START);
    };
    EnglishAnchorStartDetector.prototype.match = function (token) {
        return /^(starting( on| from)?|leaving( on)?)$/.test(token);
    };
    return EnglishAnchorStartDetector;
}());
exports.default = EnglishAnchorStartDetector;
//# sourceMappingURL=anchorStartDetector.js.map