"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../../../token");
var daysOfTheWeek = {
    fri: 5,
    friday: 5,
    mon: 1,
    monday: 1,
    sat: 6,
    saturday: 6,
    sun: 0,
    sunday: 0,
    thu: 4,
    thursday: 4,
    tue: 2,
    tuesday: 2,
    wed: 3,
    wednesday: 3
};
var EnglishDayOfWeekDetector = /** @class */ (function () {
    function EnglishDayOfWeekDetector() {
    }
    EnglishDayOfWeekDetector.prototype.match = function (token) {
        return !!daysOfTheWeek[token];
    };
    EnglishDayOfWeekDetector.prototype.extract = function (token) {
        return new token_1.TokenDayOfWeek(Number(daysOfTheWeek[token]));
    };
    return EnglishDayOfWeekDetector;
}());
exports.default = EnglishDayOfWeekDetector;
//# sourceMappingURL=dayOfWeekDetector.js.map