import { ILocale } from './locale/locale';
import { Token, TokenTypes } from './token';
export declare class Sequence {
    readonly tokens: Array<Token<any>>;
    push(token: Token<any> | Array<Token<any>>): void;
    raw(all?: boolean): Array<{
        type: TokenTypes;
        token: string | number;
    }>;
}
export declare const parse: (input: string, locale: ILocale) => Sequence;
