import TokenTypes from './types';
export default class Token<T> {
    readonly type: TokenTypes;
    readonly token: T;
    readonly attachments: Array<Token<any>>;
    anchor?: Token<any>;
    constructor(token: T, type?: TokenTypes);
    requiredAttachments(): TokenTypes[];
    requiredAnchors(): TokenTypes[];
    willAttachTo(): TokenTypes[];
    willAnchor(): TokenTypes[];
    isComplete(): boolean;
    attach(token: Token<any>): void;
    compute(today?: Date): Date | Date[];
}
