import Token from './token';
import TokenDayOfMonth from './tokenDayOfMonth';
import TokenDirectionYear from './tokenDirectionYear';
import TokenTypes from './types';
export default class TokenMonth extends Token<number> {
    attachments: TokenDayOfMonth[];
    anchor?: TokenDirectionYear;
    constructor(month: number);
    requiredAttachments(): TokenTypes[];
    willAttachTo(): TokenTypes[];
    compute(today?: Date): Date[];
}
