"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var date_fns_1 = require("date-fns");
var token_1 = require("./token");
var types_1 = require("./types");
var TokenNamedDay = /** @class */ (function (_super) {
    __extends(TokenNamedDay, _super);
    function TokenNamedDay(token) {
        return _super.call(this, token, types_1.default.NAMED_DAY) || this;
    }
    TokenNamedDay.prototype.compute = function (today) {
        if (today === void 0) { today = new Date(); }
        var base = date_fns_1.startOfDay(today);
        return date_fns_1.addDays(base, this.token);
    };
    return TokenNamedDay;
}(token_1.default));
exports.default = TokenNamedDay;
//# sourceMappingURL=tokenNamedDay.js.map