import { TokenDirectionMonth, TokenDirectionWeek, TokenDirectionYear } from '../../../token';
import { ITokenDetector } from '../../locale';
declare const directionToToken: (token: string) => TokenDirectionMonth | TokenDirectionYear | TokenDirectionWeek;
export default class EnglishDirectionDetector implements ITokenDetector {
    extract(token: string): TokenDirectionWeek | TokenDirectionMonth | TokenDirectionYear;
    match(token: string): boolean;
}
export { directionToToken };
