"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../../../token");
var months = {
    jan: 1,
    january: 1,
    // tslint:disable-next-line:object-literal-sort-keys
    feb: 2,
    febr: 2,
    february: 2,
    mar: 3,
    march: 3,
    apr: 4,
    april: 4,
    may: 5,
    jun: 6,
    june: 6,
    jul: 7,
    july: 7,
    aug: 8,
    august: 8,
    sep: 9,
    sept: 9,
    september: 9,
    oct: 10,
    october: 10,
    nov: 11,
    november: 11,
    dec: 12,
    december: 12
};
var EnglishMonthDetector = /** @class */ (function () {
    function EnglishMonthDetector() {
    }
    EnglishMonthDetector.prototype.match = function (token) {
        return !!months[token];
    };
    EnglishMonthDetector.prototype.extract = function (token) {
        return new token_1.TokenMonth(months[token]);
    };
    return EnglishMonthDetector;
}());
exports.default = EnglishMonthDetector;
//# sourceMappingURL=monthDetector.js.map