"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../../../token");
var namedDays = {
    today: 0,
    tomorrow: 1,
    // tslint:disable-next-line:object-literal-sort-keys
    tmrw: 1,
    yesterday: -1,
    'day after tomorrow': 2,
    'day before yesterday': -2
};
var EnglishNamedDayDetector = /** @class */ (function () {
    function EnglishNamedDayDetector() {
    }
    EnglishNamedDayDetector.prototype.match = function (token) {
        return typeof namedDays[token] !== 'undefined';
    };
    EnglishNamedDayDetector.prototype.extract = function (token) {
        return new token_1.TokenNamedDay(namedDays[token]);
    };
    return EnglishNamedDayDetector;
}());
exports.default = EnglishNamedDayDetector;
//# sourceMappingURL=namedDayDetector.js.map