"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("./token");
var types_1 = require("./types");
var TokenDayOfMonth = /** @class */ (function (_super) {
    __extends(TokenDayOfMonth, _super);
    /* from 1 to 31 */
    function TokenDayOfMonth(day) {
        var _this = this;
        if (day < 1 || day > 31) {
            throw new Error("TokenDayOfMonth can only accept an integer in the range [1, 31] as a token. Received " + day);
        }
        _this = _super.call(this, day, types_1.default.DAY_OF_MONTH) || this;
        return _this;
    }
    TokenDayOfMonth.prototype.requiredAnchors = function () {
        return [types_1.default.MONTH, types_1.default.DIRECTION_MONTH];
    };
    return TokenDayOfMonth;
}(token_1.default));
exports.default = TokenDayOfMonth;
//# sourceMappingURL=tokenDayOfMonth.js.map