"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("./token");
var types_1 = require("./types");
var TokenDayOfWeek = /** @class */ (function (_super) {
    __extends(TokenDayOfWeek, _super);
    /* from 0 (sunday) to 6 (saturday) */
    function TokenDayOfWeek(day) {
        var _this = this;
        if (day < 0 || day > 6) {
            throw new Error("TokenDayOfWeek can only accept an integer in the range [0, 6] as a token. Received " + day);
        }
        _this = _super.call(this, day, types_1.default.DAY_OF_WEEK) || this;
        return _this;
    }
    TokenDayOfWeek.prototype.requiredAnchors = function () {
        return [types_1.default.DIRECTION_WEEK];
    };
    return TokenDayOfWeek;
}(token_1.default));
exports.default = TokenDayOfWeek;
//# sourceMappingURL=tokenDayOfWeek.js.map