"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TokenTypes;
(function (TokenTypes) {
    TokenTypes[TokenTypes["UNDEFINED"] = 0] = "UNDEFINED";
    TokenTypes[TokenTypes["DATE"] = 1] = "DATE";
    TokenTypes[TokenTypes["NAMED_DAY"] = 2] = "NAMED_DAY";
    TokenTypes[TokenTypes["MONTH"] = 3] = "MONTH";
    TokenTypes[TokenTypes["DAY_OF_MONTH"] = 4] = "DAY_OF_MONTH";
    TokenTypes[TokenTypes["DAY_OF_WEEK"] = 5] = "DAY_OF_WEEK";
    TokenTypes[TokenTypes["DIRECTION_WEEK"] = 6] = "DIRECTION_WEEK";
    TokenTypes[TokenTypes["DIRECTION_MONTH"] = 7] = "DIRECTION_MONTH";
    TokenTypes[TokenTypes["DIRECTION_YEAR"] = 8] = "DIRECTION_YEAR";
    TokenTypes[TokenTypes["DURATION"] = 9] = "DURATION";
    TokenTypes[TokenTypes["ANCHOR_START"] = 10] = "ANCHOR_START";
    TokenTypes[TokenTypes["ANCHOR_END"] = 11] = "ANCHOR_END";
    TokenTypes[TokenTypes["ENUMERATION"] = 12] = "ENUMERATION";
    TokenTypes[TokenTypes["RANGE"] = 13] = "RANGE";
})(TokenTypes || (TokenTypes = {}));
exports.default = TokenTypes;
//# sourceMappingURL=types.js.map